Bug 41475 - iptables logs to console too.
iptables logs to console too.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-20 23:36 EDT by Andrew Carson
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-21 06:16:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Carson 2001-05-20 23:36:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When setting iptables to log packet matches, the output is sent to the 
console, as well the intended log file. Note that this even happens if the 
*only* entry in syslog.conf is for all logging to go to file, iptables 
data still clutters the console.

How reproducible:

Steps to Reproduce:
1. iptables -A input -i eth0 -p tcp --syn -j LOG --log-level warning
2. Set syslog entry such as *.*  /var/log/logall
3. service syslog restart
4. ping the box

Actual Results:  iptables logging directly to console.

Expected Results:  No output to console, to /var/log/logall only.

Additional info:

Have demonstrated this on two different boxes, both low end pentiums.
Comment 1 Bernhard Rosenkraenzer 2001-05-21 06:16:17 EDT
Packet matching (and logging) is done in the kernel part of iptables, 
assigning to kernel.
Comment 2 Arjan van de Ven 2001-05-21 08:18:10 EDT
Added printk "level" to the printk for logging. Should appear in rawhide in a
week or so. Thanks for reporting!

Note You need to log in before you can comment on or make changes to this bug.